Summary:       A library for password generation and password quality checking
Name:          libpwquality
Version:       1.4.4
Release:       5%{?dist}
License:       BSD or GPLv2+
URL:           https://github.com/libpwquality/libpwquality/
Source0:       https://github.com/libpwquality/libpwquality/releases/download/libpwquality-%{version}/libpwquality-%{version}.tar.bz2

BuildRequires: gcc make
BuildRequires: cracklib-devel gettext
BuildRequires: pam-devel python3-devel

Requires:      cracklib-dicts >= 2.8
Requires:      pam

%description
The libpwquality library purpose is to provide common functions for password quality
checking and also scoring them based on their apparent randomness. The library also provides
a function for generating random passwords with good pronounceability. The library supports
reading and parsing of a configuration file.

%package devel
Summary:       Support for development of applications using the libpwquality library
Requires:      libpwquality = %{version}-%{release}
Requires:      pkgconfig

%description devel
Files needed for development of applications using the libpwquality library.
See the pwquality.h header file for the API.


%package -n python3-pwquality
Summary:       Python bindings for the libpwquality library
Requires:      libpwquality = %{version}-%{release}

%description -n python3-pwquality
This is pwquality Python module that provides Python bindings
for the libpwquality library. These bindings can check easy password
quality and generate random pronounceable passwords from Python applications.

%prep
%autosetup

%build
export SETUPTOOLS_USE_DISTUTILS=stdlib
%configure \
	--with-securedir=%{_libdir}/security \
	--with-pythonsitedir=%{python3_sitearch} \
	--with-python-binary=%{__python3} \
	--disable-static

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/security/*.la
mkdir %{buildroot}%{_sysconfdir}/security/pwquality.conf.d

%find_lang libpwquality

%files -f libpwquality.lang
%license COPYING
%doc README NEWS AUTHORS
%{_bindir}/*
%{_libdir}/security/pam_pwquality.so
%{_libdir}/libpwquality.so.*
%config(noreplace) %{_sysconfdir}/security/pwquality.conf
%{_sysconfdir}/security/pwquality.conf.d
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%{_includedir}/pwquality.h
%{_libdir}/libpwquality.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n python3-pwquality
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-4
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.4.4-3
- remove "if (passwd|cryptsetup))" in require

* Thu Dec 29 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.4.4-2
- rebuild for ocs

* Tue Aug 2 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.4.4-1
- package init.
